package com.ruoyi.system.mapper;

import com.ruoyi.system.entity.DragTable;

import java.util.List;

/**
 * 动态格Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-31
 */
public interface DragTableMapper 
{
    /**
     * 查询动态格
     * 
     * @param tId 动态格主键
     * @return 动态格
     */
    DragTable selectDragTableByTId(Long tId);

    /**
     * 查询动态格列表
     * 
     * @param dragTable 动态格
     * @return 动态格集合
     */
    List<DragTable> selectDragTableList(DragTable dragTable);

    /**
     * 新增动态格
     * 
     * @param dragTable 动态格
     * @return 结果
     */
    int insertDragTable(DragTable dragTable);

    /**
     * 修改动态格
     * 
     * @param dragTable 动态格
     * @return 结果
     */
    int updateDragTable(DragTable dragTable);

    /**
     * 删除动态格
     * 
     * @param tId 动态格主键
     * @return 结果
     */
    int deleteDragTableByTId(Long tId);

    /**
     * 批量删除动态格
     * 
     * @param tIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDragTableByTIds(Long[] tIds);

    /**
     * 查询动态格
     *
     * @param sqlKey 唯一标识
     * @return 动态格
     */
    DragTable selectDragTableBySqlKey(String sqlKey);
}
